Bug 1121733 - PrBoom Plus installs PrBoom
Summary: PrBoom Plus installs PrBoom
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: prboom-plus
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 18:07 UTC by Markus S.
Modified: 2018-05-29 12:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:03:25 UTC


Attachments (Terms of Use)

Description Markus S. 2014-07-21 18:07:31 UTC
Through what I believe is a chain of dependencies installing PrBoom Plus also installs PrBoom.
I also can't uninstall PrBoom when I just want PrBoom Plus.

Comment 1 Jaromír Cápík 2014-08-14 13:17:05 UTC
Hello Markus.

I'm aware of that. It's caused by the fact, that none of the three packages can work standalone and removing the deps would go against the guidelines. PrBoom requires FreeDoom data, otherwise it fails with missing IWAD. The same applies to PrBoom+. And FreeDoom needs at least one of the engines in order to work properly and so that it pulls PrBoom. Our yum doesn't support optional dependencies like it is in case of urpmi in Mageia. Users, who don't know much about the engines and only wanna play FreeDoom don't care about the engines and they would be surprised by the fact, that the FreeDoom icon doesn't work till they install PrBoom. Trust me, this was the less painful variant as PrBoom only wastes 1.3MB of space.

Please, write your proposals/objections till tomorrow, if you have any. Otherwise I'll close this bug as WONTFIX.

Thanks,
Jaromir.

Comment 2 Markus S. 2014-08-14 17:07:35 UTC
Obviously all packages containing variants of the Doom engine should depend on freedoom. But why freedoom should depend on any engine is not something I can comprehend.
If you think that there are people who simply install "freedoom" and expect an engine to be there, a solution would be to split freedoom into two packages:
"freedoom" that installs a tiny /usr/bin/freedoom bash script that runs PrBoom with the freedoom WAD and that depends on PrBoom.
The actual WAD would be in freeboom-data that has no dependencies on its own.

Comment 3 Markus S. 2014-08-14 17:10:08 UTC
PS: Richard Hughes is implementing a GUI to match that case: https://plus.google.com/+RichardHughes/posts/P6fZDrV5zwh

Comment 4 Jaromír Cápík 2014-08-15 11:56:38 UTC
Well, it's a bit over-engineered just because of 1.3MB. Take in mind, that the 'prboom-plus' engine is installed by a negligible number of users, but the changes you propose will increase the rpm database by extra bytes and these will be transferred by all fedora users with each database sync. That means you'll waste much more space in total! Also take in mind, that we'll have to create a new package and let it review by someone and that steals the most valuable thing in the open-source world and that's the time of the distribution developers and maintainers. The time we spend on such minor stuff is always missing somewhere else.

If you still insist on splitting the data and the freedoom starter, even when it is counterproductive, I could do the following:

1.) Create a new package called 'freedoom-data' and let it review by someone (that means two people will have to spend some time on that)
2.) Let the 'prboom' engine provide 'freedoom' and include the starter + icon directly in the 'prboom' package.

Please, think about the whole thing again and let me know about your decision. I'm not against any of the ways.

Comment 5 Jaroslav Reznik 2015-03-03 16:08:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Fedora End Of Life 2016-07-19 11:57:19 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Markus S. 2017-06-12 12:09:10 UTC
Add

Provides: prboom

to prboom-plus.spec please.

Comment 8 Fedora End Of Life 2018-05-03 08:54:01 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2018-05-29 12:03:25 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.